public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lucio Sauer" <watermanpaint@posteo.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: app-admin/rbw/
Date: Thu,  4 Jul 2024 02:18:56 +0000 (UTC)	[thread overview]
Message-ID: <1720059503.e00a1f8a61dabd213e495825a678900d6ddbd5c3.watermanpaint@gentoo> (raw)

commit:     e00a1f8a61dabd213e495825a678900d6ddbd5c3
Author:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
AuthorDate: Thu Jul  4 01:51:17 2024 +0000
Commit:     Lucio Sauer <watermanpaint <AT> posteo <DOT> net>
CommitDate: Thu Jul  4 02:18:23 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=e00a1f8a

app-admin/rbw: sync live

Signed-off-by: Lucio Sauer <watermanpaint <AT> posteo.net>

 app-admin/rbw/rbw-9999.ebuild | 42 +++++++++++++++++++++++++++++++-----------
 1 file changed, 31 insertions(+), 11 deletions(-)

diff --git a/app-admin/rbw/rbw-9999.ebuild b/app-admin/rbw/rbw-9999.ebuild
index 9e9ca4d11..70fc347d0 100644
--- a/app-admin/rbw/rbw-9999.ebuild
+++ b/app-admin/rbw/rbw-9999.ebuild
@@ -1,25 +1,39 @@
-# Copyright 2021-2023 Gentoo Authors
+# Copyright 2021-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
 inherit cargo shell-completion
 
-DESCRIPTION="unofficial bitwarden cli"
+DESCRIPTION="Unofficial Bitwarden CLI"
 HOMEPAGE="https://git.tozt.net/rbw"
 
 if [[ ${PV} = *9999* ]]; then
 	inherit git-r3
 	EGIT_REPO_URI="https://git.tozt.net/rbw"
 else
-	SRC_URI="https://git.tozt.net/rbw/snapshot/rbw-${PV}.tar.gz -> ${P}.tar.gz
-		$(cargo_crate_uris ${CRATES})"
+	SRC_URI="https://git.tozt.net/rbw/snapshot/${P}.tar.gz
+		${CARGO_CRATE_URIS}"
 	KEYWORDS="~amd64"
 fi
 
 LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+=" Apache-2.0 BSD Boost-1.0 ISC MIT Unicode-DFS-2016"
+# Manually added crate licenses
+LICENSE+=" openssl"
 SLOT="0"
 
+# copypasta crate provides wayland clipboard support via dlopen calls against
+# libwayland-client.so
+RDEPEND="app-crypt/pinentry"
+BDEPEND=">=virtual/rust-1.74"
+
+QA_FLAGS_IGNORED="
+	usr/bin/rbw
+	usr/bin/rbw-agent
+"
+
 src_unpack() {
 	if [[ ${PV} = *9999* ]]; then
 		git-r3_src_unpack
@@ -29,15 +43,21 @@ src_unpack() {
 	fi
 }
 
+src_compile() {
+	# cc-rs picks up CFLAGS from the env
+	export CFLAGS
+	cargo_src_compile
+}
+
 src_install() {
 	cargo_src_install
 
-	rbw gen-completions bash > rbw.bash || die
-	dobashcomp rbw.bash
-
-	rbw gen-completions fish > rbw.fish || die
+	local comp DOCS="CHANGELOG.md README.md"
+	for comp in bash fish zsh; do
+		"$(cargo_target_dir)"/rbw gen-completions ${comp} > rbw.${comp} || die
+	done
+	newbashcomp rbw.bash rbw
 	dofishcomp rbw.fish
-
-	rbw gen-completions zsh > _rbw || die
-	dozshcomp _rbw
+	newzshcomp rbw.zsh _rbw
+	einstalldocs
 }


             reply	other threads:[~2024-07-04  2:19 UTC|newest]

Thread overview: 10+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-07-04  2:18 Lucio Sauer [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-29 10:29 [gentoo-commits] repo/proj/guru:dev commit in: app-admin/rbw/ Lucio Sauer
2024-07-29 10:29 Lucio Sauer
2024-07-28 21:12 Lucio Sauer
2024-07-28 21:12 Lucio Sauer
2024-07-28 21:12 Lucio Sauer
2024-07-04  2:18 Lucio Sauer
2024-07-04  2:18 Lucio Sauer
2023-05-01 19:31 Anna Vyalkova
2023-04-22 23:12 Tony Olagbaiye

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1720059503.e00a1f8a61dabd213e495825a678900d6ddbd5c3.watermanpaint@gentoo \
    --to=watermanpaint@posteo.net \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox